#ifndef OBJ_COORDINATE_CTRL_H
#define OBJ_COORDINATE_CTRL_H

/*!
  \file
  \brief 制御対象に座標系を定義できる座標系クラス
  \author Satofumi KAMIMURA
  
  $Id: objCoordinateCtrl.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include "coordinateCtrl.h"


/*!
  \brief 制御対象に座標系を定義可能な座標系クラス
*/
class ObjCoordinateCtrl : public CoordinateCtrl {
  friend class CoordinateCtrl;

  std::list<const CoordinateCtrl*> crd2obj_crd;

  bool isObjectCrdMode(const CoordinateCtrl* crd) const;
  void remove_crd(CoordinateCtrl* crd);
  void registerChildAddress(CoordinateCtrl* crd);
};

#endif /* !OBJ_COORDINATE_CTRL_H */
